DBIx::SearchBuilder::Handle::MariaDB(3pm)

NAME
  DBIx::SearchBuilder::Handle::MariaDB - A MariaDB specific Handle object

SYNOPSIS

DESCRIPTION
This module provides a subclass of DBIx::SearchBuilder::Handle that compensates for some of the idiosyncrasies of MySQL.

METHODS

  Insert
Takes a table name as the first argument and assumes that the rest of the arguments are an array of key-value pairs to be inserted.

If the insert succeeds, returns the id of the insert, otherwise, returns a Class::ReturnValue object with the error reported.

  KnowsBLOBs
Returns 1 if the current database supports inserts of BLOBs automatically. Returns undef if the current database must be informed of BLOBs for inserts.

  BLOBParams FIELD_NAME FIELD_TYPE
Returns a hash ref for the bind_param call to identify BLOB types used by the current database for a particular column type.

  SimpleUpdateFromSelect
Customization of "SimpleUpdateFromSelect" in DBIx::SearchBuilder::Handle. Mysql doesn't support update with subqueries when those fetch data from the table that is updated.

  DatabaseVersion
Returns the MariaDB version, trimming off any -foo identifier

  CaseSensitive
Returns undef, since MariaDB's searches are not case sensitive by default

  SimpleDateTimeFunctions
Returns hash reference with specific date time functions of this database for "DateTimeFunction" in DBIx::SearchBuilder::Handle.

  ConvertTimezoneFunction
Custom implementation of "ConvertTimezoneFunction" in DBIx::SearchBuilder::Handle.

Use the following query to get list of timezones:

    SELECT Name FROM mysql.time_zone_name;

See also details on how MariaDB works with mysql timezone tables

    https://mariadb.com/kb/en/time-zones/

  QuoteName
Quote table or column name to avoid reserved word errors.

  HasSupportForCombineSearchAndCount
MariaDB 10.2+ supports this.